> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dncscrub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Authentication

> Validate your loginId and optionally verify campaign or project access



## OpenAPI

````yaml GET /v1.5/Auth/Validate
openapi: 3.0.1
info:
  title: DNCScrub APIs at dataapi.dncscrub.com
  version: '1.5'
servers:
  - url: https://dataapi.dncscrub.com
security:
  - LoginId: []
paths:
  /v1.5/Auth/Validate:
    get:
      tags:
        - Auth
      summary: "Validates the loginId provided in the HTTP header is valid.\r\nOptionally validates a campaign Id and/or project Id is valid"
      description: "The loginId must be provided in the HTTP header named \"loginId\".\r\nIf a campaignId is provided, it will also verify the campaign belongs to the authenticated account.\r\nIf a projId is provided, it will also verify the project belongs to the authenticated account."
      parameters:
        - name: campaignId
          in: query
          description: Optional campaign ID to validate against the authenticated account
          schema:
            type: string
        - name: projId
          in: query
          description: Optional project ID to validate against the authenticated account
          schema:
            type: string
        - name: loginId
          in: header
          description: LoginId (aka APIKey)
          schema:
            type: string
      responses:
        '200':
          description: Success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Server Error
      security: []
components:
  schemas:
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    LoginId:
      type: apiKey
      description: >-
        LoginId Authentication: Authenticate using the LoginId generated from
        DNCScrub User Manager. In HTTP header place "loginId: {loginId}"
      name: loginId
      in: header

````